<?xml version="1.0" encoding="utf-8" ?>
<log4net>
  <appender name="RollingFileBase" type="log4net.Appender.RollingFileAppender">
    <file value="log\SplitThis.log" />
    <appendToFile value="true" />
    <maximumFileSize value="100KB" />
    <maxSizeRollBackups value="10" />
	
	<lockingModel type="log4net.Appender.FileAppender+MinimalLock" />

    <layout type="log4net.Layout.PatternLayout">
      <conversionPattern value="%date{dd.MM.yy HH:mm:ss,fff} %level - %message%newline" />
    </layout>
	        <filter type="log4net.Filter.LevelRangeFilter">
            <levelMax value="WARN" />
        </filter>
	
 </appender>
  
<appender name="RollingFileError" type="log4net.Appender.RollingFileAppender">
    <file value="log\SplitThis.log" />
    <appendToFile value="true" />
    <maximumFileSize value="100KB" />
    <maxSizeRollBackups value="10" />
	
	<lockingModel type="log4net.Appender.FileAppender+MinimalLock" />

    <layout type="log4net.Layout.PatternLayout">
      <conversionPattern value="%date{dd.MM.yy HH:mm:ss,fff} %level [%thread] %logger %line - %message%newline" />
    </layout>
	
	        <filter type="log4net.Filter.LevelRangeFilter">
            <levelMin value="ERROR" />
        </filter>
	

 </appender>
  
 <root>
    <level value="INFO" />
    <appender-ref ref="RollingFileBase" />
	<appender-ref ref="RollingFileError" />

  </root>
</log4net>